Package com.sas.lsaf.security.acl

## Class AclMembers

- java.lang.Object
- - com.sas.lsaf.core.AbstractIdentifiable
  - - com.sas.lsaf.security.acl.AclMembers

- All Implemented Interfaces:
    `Identifiable`, `Principal`, `java.io.Serializable`

      public class AclMembers
      extends AbstractIdentifiable
      implements Principal

  A data object that represents the members ACL. For every repository item, there is one AclMembers entry that designates the permissions for the members of the associated context of the object.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AclMembers​(java.lang.String principalId)` | AclMembers constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` | Indicates whether another object is equal to this one.
    `java.lang.String` | `getPrincipalId()` | Gets the principal identifier of the ACL members principal.
    `java.lang.String` | `getPrincipalName()` | Gets the principal name of the ACL members principal.
    `int` | `hashCode()` | Returns a hash code value for the object.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.core.AbstractIdentifiable

      `getId, getTypeId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.sas.lsaf.core.Identifiable

      `getId, getTypeId`

- - ### Constructor Detail

    - #### AclMembers

          public AclMembers​(java.lang.String principalId)

      AclMembers constructor.
      Parameters:
        `principalId` - pricipalId of the ACL members principal.

  - ### Method Detail

    - #### getPrincipalId

          public java.lang.String getPrincipalId()

      Gets the principal identifier of the ACL members principal.
      Specified by:
        `getPrincipalId` in interface `Principal`
      Returns:
        The principal identifier of the ACL members principal.

    - #### getPrincipalName

          public java.lang.String getPrincipalName()

      Gets the principal name of the ACL members principal.
      Specified by:
        `getPrincipalName` in interface `Principal`
      Returns:
        The principal name of the ACL members principal.

    - #### hashCode

          public int hashCode()

      Returns a hash code value for the object.
      Specified by:
        `hashCode` in interface `Principal`
      Overrides:
        `hashCode` in class `AbstractIdentifiable`
      See Also:
        `Object.hashCode()`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Indicates whether another object is equal to this one.
      Specified by:
        `equals` in interface `Principal`
      Overrides:
        `equals` in class `AbstractIdentifiable`
      See Also:
        `Object.equals(java.lang.Object)`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `AbstractIdentifiable`